UserData default is insecure

06/08/2016 11:01 PM - Chris Edester

Status: Closed   

Priority: Normal   

Assignee: Chris Edester   

Category: Templates   

Target version: 1.13.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/communit

y-templates/pull/281

  

Description

The Cloud init template creates an admin account with a password, which is against standard best practices in cloud providers.

Read the section under passwd: http://cloudinit.readthedocs.io/en/latest/topics/examples.html#including-users-and-groups

Remember user data can be seen by anyone, for example EC2 stores this with the instance for later editing/reference.

Associated revisions

Revision 002720b2 - 06/17/2016 03:29 AM - Chris Edester 

Fixes #15358 - disable password auth when SSH keys provided

Closes GH-281

History

#1 - 06/08/2016 11:43 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/community-templates/pull/281 added

#2 - 06/17/2016 04:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset community-templates|002720b2f10b0d116d7b5ccfe7b6d9b91c831472.

#3 - 06/17/2016 04:02 AM - Dominic Cleal

- translation missing: en.field_release set to 160
